/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.mycompany.moduloseguridad.dao;

import org.json.JSONArray;
import org.json.JSONObject;

/**
 *
 * @author sistem17user
 */
public interface ProyectoDAO {

	public JSONObject listarProyecto(JSONObject datos, int vstart, int vlength, String draw) throws Exception;

	public int editarProyecto(int codigo, String nombre, String url) throws Exception;

	public int crearProyecto(String nombre, String url) throws Exception;

	public int activarProyecto(int codigo) throws Exception;

	public int desactivarProyecto(int codigo) throws Exception;

	public JSONObject asignarDetalle(int proyecto, int tipoUsuario) throws Exception;

	public JSONObject listarDetalle(String filtro, int vstart, int vlength, String draw) throws Exception;

	public int activarDetalle(int codigo) throws Exception;

	public int desactivarDetalle(int codigo) throws Exception;

	public JSONArray listarTipoUsuario(int proyecto) throws Exception;

	public int eliminarDetalle(int codigoDetalle) throws Exception;

	public JSONArray validarProyecto(int codigo) throws Exception;

	public int validarNombreProyecto(String nombreNuevo, String nombreActual, int tipo) throws Exception;

	public int validarUrlProyecto(String urlNuevo, String urlActual, int tipo) throws Exception;

	public int validarDetalle(int codigo) throws Exception;

	public int validarMenuDetalle(int codigo) throws Exception;

	public int eliminarMenuDetalle(int codigo) throws Exception;

	public int desactivarUsuarioDetalle(int codigo) throws Exception;
}